﻿using Hotline.Application.Snapshot;
using Hotline.Share.Dtos.Snapshot;
using Hotline.Snapshot;
using Microsoft.AspNetCore.Mvc;

namespace Hotline.Api.Controllers.Snapshot;

/// <summary>
/// 随手拍行业管理接口
/// </summary>
public class IndustryController : BaseController
{
    private readonly IIndustryRepository _industryRepository;
    private readonly IIndustryApplication _industryApplication;

    public IndustryController(IIndustryRepository industryRepository, IIndustryApplication industryApplication)
    {
        _industryRepository = industryRepository;
        _industryApplication = industryApplication;
    }

    /// <summary>
    /// 新增行业
    /// </summary>
    /// <returns></returns>
    [HttpPost]
    public async Task<string> AddIndustry([FromBody] AddIndustryDto dto)
        => await _industryApplication.AddIndustryAsync(dto, HttpContext.RequestAborted);
}
