﻿using Hotline.Api.Controllers;
using Hotline.Api.Controllers.Snapshot;
using Hotline.Identity.Accounts;
using Hotline.Identity.Roles;
using Hotline.Users;
using Microsoft.AspNetCore.Http;
using Microsoft.Extensions.DependencyInjection;
using Shouldly;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Application.Tests.Controller;
public class SnapshotControllerTest : TestBase
{
    private readonly SnapshotController _snapshotController;
    public SnapshotControllerTest(IAccountRepository accountRepository, IRepository<Role> roleRepository, UserController userController, IServiceScopeFactory scopeFactory, IRepository<User> userRepository, IHttpContextAccessor httpContextAccessor, SnapshotController snapshotController) : base(accountRepository, roleRepository, userController, scopeFactory, userRepository, httpContextAccessor)
    {
        _snapshotController = snapshotController;
    }

    [Fact]
    public async Task GetAreaTreeTest()
    {
        var result = await _snapshotController.GetAreaTreeAsync();
        result.ShouldNotBeNull();
        var zgs = result.Where(m => m.AreaName == "自贡市").FirstOrDefault();
        zgs.ShouldNotBeNull();
        var rx = zgs.Children.Where(m => m.AreaName == "荣县").FirstOrDefault();
        rx.ShouldNotBeNull();
        var zzz = rx.Children.Where(m => m.AreaName == "正紫镇").FirstOrDefault();
        zzz.ShouldNotBeNull();
    }

}
