﻿using Hotline.Snapshot;
using XF.Domain.Dependency;
using XF.Domain.Repository;

namespace Hotline.Repository.SqlSugar.Snapshot;
public class ThirdAccountRepository : IThirdAccountRepository , IScopeDependency
{
    private readonly IRepository<ThirdAccount> _repository;

    public ThirdAccountRepository(IRepository<ThirdAccount> repository)
    {
        _repository = repository;
    }

    public async Task<string> AddAsync(ThirdAccount entity)
    {
        return await _repository.AddAsync(entity);
    }

    public async Task<ThirdAccount> QueryByOpenIdAsync(string openId)
        => await _repository.Queryable()
        .Where(p => p.OpenId == openId)
        .FirstAsync();

    public async Task UpdateAsync(ThirdAccount entity)
    {
        await _repository.UpdateAsync(entity);
    }
}
