﻿using Hotline.Share.Dtos.Order;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Settings
{
	public class SystemLogDto
	{
		public DateTime? LastModificationTime { get; set; }

		public bool IsDeleted { get; set; }

		/// <summary>
		/// 删除时间
		/// </summary>
		public DateTime? DeletionTime { get; set; }


		/// <summary>
		/// 创建时间
		/// </summary>
		public DateTime CreationTime { get; set; }

		public string Id { get; set; }

		/// <summary>
		/// 组织Id
		/// </summary>
		public string? CreatorOrgId { get; set; }


		public string? CreatorOrgName { get; set; }

		/// <summary>
		/// 创建人
		/// </summary>
		public string? CreatorId { get; set; }

		public string? CreatorName { get; set; }


		/// <summary>
		/// 操作名称
		/// </summary>
		public string Name { get; set; }

		/// <summary>
		/// 执行状态(0失败 1成功) 
		///</summary>
		public int? Status { get; set; }
		/// <summary>
		/// 备注 
		///</summary>
		public string? Remark { get; set; }
		/// <summary>
		/// 接口地址 
		///</summary>
		public string? ExecuteUrl { get; set; }
		/// <summary>
		/// ip地址 
		///</summary>
		public string? IpUrl { get; set; }
		/// <summary>
		/// 请求参数 
		///</summary>
		public object? ExecuteParam { get; set; }
		/// <summary>
		/// 请求结果 
		///</summary>
		public string? ExecuteResult { get; set; }

		public string NameText => CreatorName + Name;

		public string StatusText => Status == 0 ? "失败" : "成功";
	}
}
