﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Snapshot;
internal class IndustryDto
{
}

public class AddIndustryDto
{
    /// <summary>
    /// 行业名称
    /// </summary>
    [Required]
    public string Name { get; set; }

    /// <summary>
    /// 标题追加信息
    /// </summary>
    public string TitleSuffix { get; set; } = string.Empty;

    /// <summary>
    /// 审批部门Id
    /// </summary>
    public string? ApproveOrgId { get; set; }

    /// <summary>
    /// 审批部门名字
    /// </summary>
    public string? ApproveOrgName { get; set; }

    /// <summary>
    /// 受理类型
    /// </summary>
    public string AcceptType { get; set; } = string.Empty;

    /// <summary>
    /// 受理类型代码
    /// </summary>
    public string? AcceptTypeCode { get; set; }

    /// <summary>
    /// 市民发放红包金额(单位:元)
    /// </summary>
    [Required]
    public int CitizenReadPackAmount { get; set; }

    /// <summary>
    /// 网络员发放红包金额(单位:元)
    /// </summary>
    [Required]
    public int GuiderReadPackAmount { get; set; }

    /// <summary>
    /// 是否启用
    /// </summary>
    public bool IsEnable { get; set; }

    /// <summary>
    /// 帮助引导用语
    /// </summary>
    public string? TxtHelpRemarks { get; set; }

    /// <summary>
    /// 宫格说明文本
    /// </summary>
    public string TxtRemarks { get; set; } = string.Empty;

    /// <summary>
    /// 关怀说明
    /// </summary>
    public string TxtCareRemarks { get; set; }

    /// <summary>
    /// 排序
    /// </summary>
    public int DisplayOrder { get; set; } = 0;

    /// <summary>
    /// 阶段性回复间隔时间(小时)
    /// </summary>
    public int IntervalTime { get; set; } = 0;

    /// <summary>
    /// 页面Url
    /// </summary>
    public string PageUrl { get; set; }

    /// <summary>
    /// 关怀页面Url
    /// </summary>
    public string PageCareUrl { get; set; }

    /// <summary>
    /// 关联宣传学习
    /// 从字典中取"公告类型"
    /// </summary>
    public string BulletinTypePublicityId { get; set; }

    /// <summary>
    /// 关联宣传学习
    /// 从字典中取"公告类型"
    /// </summary>
    public string BulletinTypePublicityName { get; set; }

    /// <summary>
    /// 关联操作指引
    /// 从字典中取"公告类型"
    /// </summary>
    public string BulletinTypeGuideId { get; set; }

    /// <summary>
    /// 关联操作指引
    /// 从字典中取"公告类型"
    /// </summary>
    public string BulletinTypeGuideame { get; set; }

    /// <summary>
    /// 背景图片 url
    /// </summary>
    public string BackgroundImgUrl { get; set; }

    /// <summary>
    /// Banner 图片 url
    /// </summary>
    public string BannerImgUrl { get; set; }

    /// <summary>
    /// 宫格图
    /// </summary>
    public string CellImgUrl { get; set; }

    /// <summary>
    /// 关怀宫格图
    /// </summary>
    public string CareCellImgUrl { get; set; }

    /// <summary>
    /// 附件集合
    /// </summary>
    public IList<IndustryFileDto> Files { get; set; }
}
