﻿using Hotline.Share.Enums.Snapshot;
using Hotline.Share.Requests;
using System.ComponentModel.DataAnnotations;

namespace Hotline.Share.Dtos.Snapshot;
public class RedPackOutDto 
{ 
    public string Title { get; set; }    
    public DateTime CreationTime { get; set; }
    public string CreationTimeText => CreationTime.ToString("yyyy-MM-dd HH:mm:ss");
    /// <summary>
    /// 金额(单位:分)
    /// </summary>
    public int Amount { get; set; }
    public string AmountText => (Amount / 1000).ToString();
}

public record RedPacksInDto : PagedRequest
{ 
    /// <summary>
    /// 时间; 格式:yyyy-MM
    /// </summary>
    [Required]
    public string Time { get; set; } = DateTime.Now.ToString("yyyy-MM");

    /// <summary>
    /// 红包状态
    /// </summary>
    public ERedPackPickupStatus Status { get; set; }
}

public class RedPackDateInDto
{
    /// <summary>
    /// 查询条数
    /// </summary>
    public int Count { get; set; } = 12;

    /// <summary>
    /// 红包状态
    /// </summary>
    public ERedPackPickupStatus Status { get; set; }
}

public class RedPackDateOutDto
{ 
    /// <summary>
    /// 时间
    /// </summary>
    public DateTime CreationTime { get; set; }

    public string CreationTimeText => CreationTime.ToString("yyyy-MM");

    /// <summary>
    /// 金额(单位:分)
    /// </summary>
    public int Amount { get; set; }
}

internal class RedPackDto
{
}
