﻿using MiniExcelLibs.Attributes;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.KnowledgeBase
{
    public class KnowledgeImportTemplate
    {
        /// <summary>
        /// 知识归属
        /// </summary>
        [ExcelColumnName("知识归属")]
        public string? Attribution { get; set; }

        [ExcelColumnName("一级分类")]
        public string? KnowledgeTypeLevelOne { get; set; }

        [ExcelColumnName("二级分类")]
        public string? KnowledgeTypeLevelTwo { get; set; }

        [ExcelColumnName("三级分类")]
        public string? KnowledgeTypeLevelThree { get; set; }

        [ExcelColumnName("失效时间")]
        public DateTime? ExpiredTime { get; set; }

        /// <summary>
        /// 是否公开
        /// </summary>
        [ExcelColumnName("失效时间")]
        public bool IsPublic { get; set; }

        [ExcelColumnName("热点分类")]
        public string? HotspotId { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        [ExcelColumnName("标题")]
        public string Title { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        [ExcelColumnName("内容")]
        public string Content { get; set; }
    }
}
