﻿using Hotline.Snapshot;
using XF.Domain.Entities;

namespace Hotline.SeedData;
public class IndustrySeedData : ISeedData<Industry>
{
    public IEnumerable<Industry> HasData()
    {
        return new List<Industry>
        {
            new() { 
                Name = "电气焊作业申报",
                TitleSuffix = "的申报",
                ApproveOrgId = "", ApproveOrgName = "自贡市应急管理局",
                AcceptType = "申报", AcceptTypeCode = "",
                CitizenReadPackAmount = 2000, GuiderReadPackAmount = 0, IsEnable = true,
                TxtHelpRemarks = "不需要申报作业的情形",
                TxtRemarks = "主动申报奖励20元",
                TxtCareRemarks = "主动申报奖励20元",
                DisplayOrder = 1,
                IntervalTime = 0,
                PageUrl = "/pagesBase/Write/WeldingOperations",
                PageCareUrl = "/pagesCare/Write/WeldingOperations",
                BulletinTypePublicityId = "", BulletinTypePublicityName = "",
                BulletinTypeGuideId = "", BulletinTypeGuideame = "电气焊作业申报操作指引" ,
                BackgroundImgUrl = "",
                BannerImgUrl = "",
                CellImgUrl = "/App_Themes/_Temp/%e7%94%b5%e6%b0%94%e7%84%8a%e4%bd%9c%e4%b8%9a_SSP_Industry_ICO_9.png",
                CareCellImgUrl = "/App_Themes/_Temp/%e7%94%b5%e6%b0%94%e7%84%8a%e4%bd%9c%e4%b8%9a_SSP_Industry_CareICO_9.png"
            },
            new() {
                Name = "文化旅游",
                TitleSuffix = "的线索",
                ApproveOrgId = "", ApproveOrgName = "自贡市文化广播电视和旅游局",
                AcceptType = "举报", AcceptTypeCode = "",
                CitizenReadPackAmount = 1000, GuiderReadPackAmount = 0, IsEnable = true,
                DisplayOrder = 2,
                IntervalTime = 1,
                PageUrl = "/pagesBase/Write/ReportHiddenDanger",
                PageCareUrl = "/pagesCare/Write/ReportHiddenDanger",
                TxtHelpRemarks = "文化旅游受理及奖励范围：A级景区内设施设备安全隐患；二、A级景区旅游秩序；三、A级景区服务质量问题；四、星级旅游价格问题、服务标准、经营问题等，更多内容点击查看《操作指引》",
                TxtRemarks = "A级景区/星级酒店/文保单位安全隐患及服务质量等问题",
                TxtCareRemarks = "A级景区/星级酒店/文保单位安全隐患及服务质量等问题",
                CellImgUrl = "/App_Themes/_Temp/%e6%96%87%e5%8c%96%e6%97%85%e6%b8%b8_SSP_Industry_ICO_8.png",
                CareCellImgUrl = "/App_Themes/_Temp/%e6%96%87%e5%8c%96%e6%97%85%e6%b8%b8_SSP_Industry_CareICO_8.png",
                BulletinTypePublicityId = "", BulletinTypePublicityName = "文化旅游宣传学习",
                BulletinTypeGuideId = "", BulletinTypeGuideame = "文化旅游操作指引" ,
                BackgroundImgUrl = "",
                BannerImgUrl = "",
            },
            new() {
                Name = "交通管理设施隐患",
                TitleSuffix = "的线索",
                AcceptType = "举报", AcceptTypeCode = "",
                CitizenReadPackAmount = 1000, GuiderReadPackAmount = 0, IsEnable = true,
                DisplayOrder = 3,
                IntervalTime = 0,
                ApproveOrgId = "", ApproveOrgName = "自贡市公安局交通警察支队",
                BulletinTypePublicityId = "", BulletinTypePublicityName = "交通管理设施隐患宣传学习",
                BulletinTypeGuideId = "", BulletinTypeGuideame = "交通管理设施隐患操作指引",
                PageUrl = "/pagesBase/Write/ReportHiddenDanger",
                PageCareUrl = "/pagesCare/Write/ReportHiddenDanger",
                TxtHelpRemarks = "交通管理设施隐患受理范围：一、交通信号灯故障，如:路口单方向或多方向灯组熄灯、单灯组多灯全亮、红灯闪烁、路口多方向全绿灯等；二、LED显示屏故障，如:显示屏中间断字（黑屏）、异常闪烁等情形。更多内容点击查看《操作指引》",
                TxtRemarks = "交通信号故障/交通诱导屏（LED）显示屏故障",
                TxtCareRemarks = "交通信号故障/交通诱导屏（LED）显示屏故障",
                CellImgUrl = "/App_Themes/_Temp/%e4%ba%a4%e9%80%9a%e7%ae%a1%e7%90%86_SSP_Industry_ICO_7.png",
                CareCellImgUrl = "/App_Themes/_Temp/%e4%ba%a4%e9%80%9a%e7%ae%a1%e7%90%86_SSP_Industry_CareICO_7.png",
                BackgroundImgUrl = "/App_Themes/_Temp/iwEcAqNwbmcDAQTRArwF0QCWBrDKpdDh3jYgLwZj6roYgSUAB9ICVXjkCAAJomltCgAL0gABP28.png_720x720q90_SSP_Industry_BJ_7.jpg",
                BannerImgUrl = "/App_Themes/_Temp/%e4%ba%a4%e9%80%9a%e7%ae%a1%e7%90%86_SSP_Industry_banner_7.jpg",
            },

        };
    }
}
