﻿using Hotline.Settings;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Entities;

namespace Hotline.SeedData;
public class SystemDicDataSeedData : ISeedData<SystemDicData>
{
    public IEnumerable<SystemDicData> HasData()
    {
        return new List<SystemDicData>();
    }

    public IEnumerable<SystemDicData> GetData(string dicTypeCode)
    {
        if (dicTypeCode == SysDicTypeConsts.Workplace)
        {
            return
            [
                new() {Id="08dc39be-c7f1-44ae-878c-eaffb30b902c", DicDataValue = "宾馆、饭店、商场、市场", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "宾馆、饭店、商场、市场", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
                new() {Id = "08dc39be-c665-4d40-8482-c8f5540e8ca2", DicDataValue = "学校、体育馆、校外培训机构", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "学校、体育馆、校外培训机构", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
                new() {Id = "08dc39be-c655-4a4b-82c5-494827588653", DicDataValue = "医院", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "医院", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
                new() {Id = "08dc39be-c648-4e03-804a-f01c8c86b2b9", DicDataValue = "养老院、福利院", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "养老院、福利院", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
                new() {Id = "08dc39be-c63c-4931-8a53-abd5fd0db818", DicDataValue = "文化、娱乐、旅游场所", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "文化、娱乐、旅游场所", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
                new() {Id = "08dc39be-c63b-40ca-8c1e-287a8cc48de4", DicDataValue = "宗教场所", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "宗教场所", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
                new() {Id = "08dc39be-c635-468f-871e-bb70008c7822",  DicDataValue = "车站、码头、高铁站候车（船）厅、汽修企业", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "车站、码头、高铁站候车（船）厅、汽修企业", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
                new() {Id = "08dc39be-c62d-4f37-83bf-845f77d45cd9", DicDataValue = "化工、民爆物品生产经营企业", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "化工、民爆物品生产经营企业", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
                new() {Id = "08dc39be-c5d9-44fa-8a4d-62979927c932", DicDataValue = "机械、建材、纺织、服装生产企业", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "机械、建材、纺织、服装生产企业", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
                new() {Id = "08dc39be-c5c9-4f57-8df6-22a8b54927bc", DicDataValue = "仓库、冷库、废品回收场所", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "仓库、冷库、废品回收场所", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
                new() {Id = "08dc39be-c5b7-4529-8ea1-d555c321951c", DicDataValue = "物业服务、居民住宅装饰装修、小型商铺", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "物业服务、居民住宅装饰装修、小型商铺", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
                new() {Id = "08dc39be-c5a8-4045-860a-966e7a41d967", DicDataValue = "电梯加装、拆除", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "电梯加装、拆除", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
                new() {Id = "08dc39be-c592-483b-84bc-8b0bc177db54", DicDataValue = "煤矿、非煤矿山、小生产加工企业", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "煤矿、非煤矿山、小生产加工企业", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
                new() {Id = "08dc39be-bcf8-4f2d-8495-98f3648309e7", DicDataValue = "水、电、气生产、管网维修，污水处理场所", DicTypeCode = SysDicTypeConsts.Workplace, DicDataName = "水、电、气生产、管网维修，污水处理场所", IsShow =  true, DicTypeId = "08dc39be-d203-460c-868e-46b7132e35b5", ParentId = ""},
            ];
        }
        if (dicTypeCode == SysDicTypeConsts.WorkArea)
        {
            return
            [
                    new(){Id = "08dc39c1-6ba2-4f53-87e9-a229687bbd10", DicDataValue = "nspla", DicDataName = "九小场所", Children = [
                            new() {Id = "08dc39c1-6eef-4858-8ad1-ef15fe4a7ee4", DicDataValue = "nspla_sshop", DicDataName = "小商店"},
                            new() {Id = "08dc39c1-6fbc-4431-8238-f3d77609faa2", DicDataValue = "nspla_sdest", DicDataName = "小餐饮"},
                            new() {Id = "08dc39c1-92ee-4a39-8e28-46ae40698570", DicDataValue = "nspla_ashotel", DicDataName = "小旅店"},
                            new() {Id = "08dc39c1-96df-4057-8460-5b65c647986a", DicDataValue = "nspla_ssadev", DicDataName = "小歌舞娱乐"},
                            new() {Id = "08dc39c1-99ed-4023-85a7-60f68c9090ea", DicDataValue = "nspla_sinca", DicDataName = "小网吧"},
                            new() {Id = "08dc39c1-a3ce-4c64-8099-ba30142687f9", DicDataValue = "nspla_bathe", DicDataName = "小美容洗浴"},
                            new() {Id = "08dc39c1-b23d-4672-835c-fe188b281ef3", DicDataValue = "nspla_garten", DicDataName = "小型学校(幼儿园)"},
                            new() {Id = "08dc39c1-b55e-45ec-8310-2ceba78e5f9e", DicDataValue = "nspla_shosp", DicDataName = "小型医疗机构"},
                            new() {Id = "08dc39c1-b9ea-4eac-88d6-8340338ead8a", DicDataValue = "nspla_spape", DicDataName = "小生产加工企业"}
                        ] },
                    new() { Id = "08dc39c1-be7e-4b7e-82b0-bf47f1cecf7d", DicDataValue = "mimbp", DicDataName = "多业态混合经营场所", Children = [
                            new() {Id = "08dc3bf7-e15e-4e50-82b0-be8a7f5f68ae", DicDataValue = "mimbp_restaurant", DicDataName = "餐饮"},
                            new() {Id = "08dc3bf7-e3a0-489b-8cfb-f4aca9ce4bdd", DicDataValue = "mimbp_stay", DicDataName = "住宿"},
                            new() {Id = "08dc39c1-6bb7-473c-8a4e-f84028cf3a15", DicDataValue = "mimbp_trade", DicDataName = "商业"},
                            new() {Id = "08dc39c1-6ef1-428a-85a5-a0933dcc1ae8", DicDataValue = "mimbp_game", DicDataName = "娱乐"},
                            new() {Id = "08dc39c1-6efd-4084-8623-e1b0c4484735", DicDataValue = "mimbp_sport", DicDataName = "体育"},
                            new() {Id = "08dc39c1-6f5a-48c6-8b53-07ad70e9588d", DicDataValue = "mimbp_culture", DicDataName = "文化"},
                            new() {Id = "08dc39c1-6fa5-4413-8840-e62a9da7b883", DicDataValue = "mimbp_train", DicDataName = "培训"},
                            new() {Id = "08dc39c1-893c-4be7-8016-28560096e8dd", DicDataValue = "mimbp_storage", DicDataName = "仓储"},
                            new() {Id = "08dc39c1-912b-410e-8c64-6b0bcbb56cca", DicDataValue = "mimbp_sublease", DicDataName = "转租形成生产场所"},
                            new() {Id = "08dc39c1-95c5-4e41-8d3c-b3d1db0ee16d", DicDataValue = "mimbp_sublet", DicDataName = "分租场所"},
                            new() {Id = "08dc39c1-9776-4819-8820-7e0c0dce519e", DicDataValue = "mimbp_store", DicDataName = "存储多种功能的劳动密集型企业"}
                        ] },
                    new() { Id = "08dc39c1-98d2-476d-83a9-2f3844acd083", DicDataValue = "assocc", DicDataName = "人员密集场所", Children = [
                            new() {Id = "08dc39c1-9eee-44f2-8909-f96d68743bb1", DicDataValue = "assocc_hot", DicDataName = "饭店"},
                            new() {Id = "08dc39c1-a9ce-4525-8070-5dd822c8fcd8", DicDataValue = "assocc_restaurant", DicDataName = "餐饮场所"},
                            new() {Id = "08dc39c1-b213-42b0-8956-c9d24c1ee92a", DicDataValue = "assocc_mall", DicDataName = "商场"},
                            new() {Id = "08dc39c1-b22c-4452-8f59-c5074b980c56", DicDataValue = "assocc_hotel", DicDataName = "宾馆"},
                            new() {Id = "08dc39c1-b2bf-4d4d-870f-b0e4dfedda7c", DicDataValue = "assocc_market", DicDataName = "集贸市场"},
                            new() {Id = "08dc39c1-91fc-4f02-845b-2d327e9897a9", DicDataValue = "assocc_theatre", DicDataName = "影剧院"},
                            new() {Id = "08dc39c1-9801-4670-8f55-c91f86cb9d14", DicDataValue = "assocc_playhouse", DicDataName = "录像厅"},
                            new() {Id = "08dc39c1-98ff-4fd1-81b2-50c213ad40a8", DicDataValue = "assocc_ballroom", DicDataName = "舞厅"},
                            new() {Id = "08dc39c1-9ef2-458d-82ad-6d62be526649", DicDataValue = "assocc_carla", DicDataName = "卡拉OK厅"},
                            new() {Id = "08dc39c1-a9da-490d-8ef5-34e3f672057c", DicDataValue = "assocc_nightclub", DicDataName = "夜总会"}
                        ] },
                    new() { Id = "08dc39c1-b24f-4cdd-885d-c27b9872f530", DicDataValue = "vflsme", DicDataName = "大型群众性活动举办场所", Children = [
                            new() {Id = "08dc39c1-b2ce-4536-814e-120d29a31c6a", DicDataValue = "vflsme_aafhlsme", DicDataName = "大型礼堂"},
                            new() {Id = "08dc39c1-c57a-49aa-882b-273d4bc18998", DicDataValue = "vflsme_meetingplace", DicDataName = "大型会场"},
                            new() {Id = "08dc39c1-c66b-44e7-8900-61d427c38fa4", DicDataValue = "vflsme_stadium", DicDataName = "大型体育场馆"}
                            ] }
                 ];
        }

        throw new NotImplementedException();
    }

    public SystemDicType GetType(string dicTypeCode)
    {
        if (dicTypeCode == SysDicTypeConsts.Workplace)
        {
            return new SystemDicType
            {
                Id = "08dc39be-d203-460c-868e-46b7132e35b5",
                DicTypeCode = SysDicTypeConsts.Workplace,
                DicTypeName = "工作场所",
            };
        }
        if (dicTypeCode == SysDicTypeConsts.WorkArea)
        {
            return new SystemDicType
            {
                Id = "08dc3bf7-e134-47d6-8784-0bdbbc0e67df",
                DicTypeCode = SysDicTypeConsts.WorkArea,
                DicTypeName = "工作区域",
            };
        }
        throw new NotImplementedException();
    }
}
