﻿using Hotline.Orders;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.Snapshot;

/// <summary>
/// 工单表扩展
/// </summary>
[Description("工单表扩展")]
public class OrderSnapshot : CreationSoftDeleteEntity
{
    /// <summary>
    /// 关联工单编号
    /// <inheritdoc cref="Order"/>表的Id字段
    /// </summary>    
    [SugarColumn(ColumnDescription = "关联工单编号")]
    public string OrderId { get; set; }

    /// <summary>
    /// 行业Id
    /// <inheritdoc cref="Industry"/> 表的Id
    /// </summary>
    [SugarColumn(ColumnDescription = "行业Id")]
    public string IndustryId { get; set; }

    /// <summary>
    /// 行业名称
    /// <inheritdoc cref="Industry"/> 表的Name
    /// </summary>
    [SugarColumn(ColumnDescription = "行业名称")]
    public string? IndustryName { get; set; }

    /// <summary>
    /// 社区Id
    /// <inheritdoc cref="CommunityInfo"/> 表的Id
    /// </summary>
    [SugarColumn(ColumnDescription = "社区Id")]
    public string CommunityId { get; set; }

    #region 网格员回复

    /// <summary>
    /// 网格员是否办理
    /// </summary>
    [SugarColumn(ColumnDescription = "网格员是否办理")]
    public bool IsDeal { get; set; }

    /// <summary>
    /// 网格E通编号
    /// </summary>
    [SugarColumn(ColumnDescription = "网格E通编号")]
    public string? NetworkENumber { get; set; }

    /// <summary>
    /// 是否属实
    /// </summary>
    [SugarColumn(ColumnDescription = "是否属实")]
    public bool IsTruth { get; set; }

    /// <summary>
    /// 是否重复
    /// </summary>
    [SugarColumn(ColumnDescription = "是否重复")]
    public bool IsRepetition { get; set; }

    /// <summary>
    /// 是否隐患
    /// </summary>
    [SugarColumn(ColumnDescription = "是否隐患")]
    public bool IsDanger { get; set; }

    /// <summary>
    /// 网格员回复内容
    /// </summary>
    [SugarColumn(ColumnDescription = "网格员回复内容")]
    public string NetworkRemark { get; set; }


    #endregion
}
